#include <bits/stdc++.h>

using namespace std;

long long v, n[60];
int res;

long long pow(int a){

    long long res = 1;

    for(int i=1; i<=a; i++){
        res *= 10;
    }

    return res;
}

void novcanice(){

    int k=1;

    n[1] = 1; n[2] = 2; n[3] = 5;

    for(int i=4; i<=52; i+=3){

        n[i] = pow(k);
        n[i+1] = 2 * pow(k);
        n[i+2] = 5 * pow(k);

        k++;
    }

    /*
    for(int i=1; i<=54; i++){
        cout << n[i] << endl;
    }
    */
}

int main(){

    scanf("%lld", &v);

    if(res == 10e18){
        printf("%d", 1);
        return 0;
    }

    novcanice();

    for(int i=52; i>=1; i--){

        if(v/n[i] != 0){
            res+=v/n[i];
            v%=n[i];
        }
    }

    printf("%d", res);

 return 0;
}